For the complete documentation index, see llms.txt. This page is also available as Markdown.

Taslağı Düzenleyip Gönderir

Taslak belgeyi düzenleyerek gönderir.

post

Taslak olarak oluşturduğunuz belgeyi düzenleyerek göndermek için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
Responses
200

Taslak belgeyi düzenleyerek gönderir.

application/json
UUIDstring · uuidOptional
ProducerNumberstring · nullableOptional
post/Draft/EditAndSend
POST /eproducer/Draft/EditAndSend HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 1221

{
  "Producer": {
    "ProducerInfo": {
      "UUID": "123e4567-e89b-12d3-a456-426614174000",
      "TemplateUUID": "123e4567-e89b-12d3-a456-426614174000",
      "TemplateBase64String": "text",
      "DeliveryDate": "2026-01-01T00:00:00.000Z",
      "ProducerSerieOrNumber": "text",
      "IssueDate": "2026-01-01T00:00:00.000Z",
      "CurrencyCode": "text",
      "ExchangeRate": 1
    },
    "CompanyInfo": {
      "TaxNumber": "text",
      "Name": "text",
      "TaxOffice": "text",
      "PartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "Address": "text",
      "District": "text",
      "City": "text",
      "Country": "text",
      "PostalCode": "text",
      "Phone": "text",
      "Fax": "text",
      "Mail": "text",
      "WebSite": "text"
    },
    "CustomerInfo": {
      "TaxNumber": "text",
      "Name": "text",
      "TaxOffice": "text",
      "PartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "text",
          "Value": "text"
        }
      ],
      "Address": "text",
      "District": "text",
      "City": "text",
      "Country": "text",
      "PostalCode": "text",
      "Phone": "text",
      "Fax": "text",
      "Mail": "text",
      "WebSite": "text"
    },
    "ProducerLines": [
      {
        "Name": "text",
        "Quantity": 1,
        "UnitType": "text",
        "Price": 1,
        "Taxes": [
          {
            "TaxCode": "text",
            "Total": 1,
            "Percent": 1,
            "ReasonCode": "text",
            "ReasonDesc": "text"
          }
        ],
        "GVWithholdingPercent": 1,
        "GVWithholdingAmount": 1
      }
    ],
    "Notes": [
      "text"
    ]
  }
}
{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "ProducerNumber": "text"
}
var client = new RestClient("https://apitest.nilvera.com/eproducer/Draft/EditAndSend");
client.Timeout = -1;
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"{
  "Producer": {
    "ProducerInfo": {
      "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "TemplateBase64String": "string",
      "DeliveryDate": "2023-01-11T13:31:29.921Z",
      "ProducerSerieOrNumber": "string",
      "IssueDate": "2023-01-11T13:31:29.921Z",
      "CurrencyCode": "string",
      "ExchangeRate": 0
    },
    "CompanyInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "CustomerInfo": {
      "TaxNumber": "string",
      "Name": "string",
      "TaxOffice": "string",
      "PartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "AgentPartyIdentifications": [
        {
          "SchemeID": "string",
          "Value": "string"
        }
      ],
      "Address": "string",
      "District": "string",
      "City": "string",
      "Country": "string",
      "PostalCode": "string",
      "Phone": "string",
      "Fax": "string",
      "Mail": "string",
      "WebSite": "string"
    },
    "ProducerLines": [
      {
        "Name": "string",
        "Quantity": 0,
        "UnitType": "string",
        "Price": 0,
        "Taxes": [
          {
            "TaxCode": "string",
            "Total": 0,
            "Percent": 0,
            "ReasonCode": "string",
            "ReasonDesc": "string"
          }
        ],
        "GVWithholdingPercent": 0,
        "GVWithholdingAmount": 0
      }
    ],
    "Notes": [
      "string"
    ]
  }
}";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);

Last updated